End Subscription Trial
curl --request PATCH \
--url https://api.fungies.io/v0/subscriptions/{subscriptionIdOrNumber}/endTrial \
--header 'Content-Type: application/json' \
--header 'x-fngs-public-key: <api-key>' \
--header 'x-fngs-secret-key: <api-key>' \
--data '{}'import requests
url = "https://api.fungies.io/v0/subscriptions/{subscriptionIdOrNumber}/endTrial"
payload = {}
headers = {
"x-fngs-public-key": "<api-key>",
"x-fngs-secret-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'x-fngs-public-key': '<api-key>',
'x-fngs-secret-key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({})
};
fetch('https://api.fungies.io/v0/subscriptions/{subscriptionIdOrNumber}/endTrial', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "<string>",
"data": {
"success": true,
"status": "<string>"
}
}{
"status": "error",
"error": {
"message": "Sample error message"
}
}subscriptions
End Subscription Trial
End a Subscription’s trial immediately and start the paid subscription. The Subscription must be in trialing status. The first Invoice is created and charged right away using the payment method on file. The outcome (emails, webhooks, orders) is identical to the trial ending naturally.
PATCH
/
v0
/
subscriptions
/
{subscriptionIdOrNumber}
/
endTrial
End Subscription Trial
Path Parameters
Subscription ID or order number
Pattern:
^#?([0-9A-Za-z]{12,32}|[0-9]+)(-[0-9]+)?$Body
application/json
PATCH /v0/subscriptions/:subscriptionIdOrNumber/endTrial Request body
The body is of type object.
⌘I